image: alpine/edge
packages:
  - nodejs
  - npm
sources:
  - https://git.sr.ht/~dumitru/fructose
tasks:
  - install: |
      cd fructose
      npm install
  - build_dist: |
      cd fructose
      npx tsc
  - test: |
      cd fructose
      CI=true npx jest
